Welcome

Welcome to X-Setup Pro

X-Setup Pro is a so-called "tweaker" program. It allows you fast and easy change more than 1.600 settings that normally are hidden deep inside configuration files (like e.g. the registry). In addition, X-Setup Pro supplies many features that improves handling of Windows.

How it works and what it does

There are many software vendors that include options in their programs that can not be controlled from the program itself because these options are only intended for system administrators (for example). That's the point where X-Setup Pro jumps in: X-Setup Pro knows where and how to activate these options in various programs and presents them in a nice user interface, so you don't have to dive into the system configuration.

An important notice: As X-Setup Pro only changes the configurations for the program, it can not "add" any option to a program that isn't supported or possible in it. For example, as long as Microsoft does not add the option "make my computer jump when pressing CTRL+J" to Internet Explorer for example, X-Setup Pro can not provide an option to configure this feature, as the feature is non-existent in the program.

How to use X-Setup Pro

One of the major features X-Setup Pro offers, is allowing you to choose between two modes: Classic Mode and [image] Wizard Mode. In Plugin mode you use a hierarchical display to navigate to the settings you want to change. In Wizard Mode, you simply select a topic you are interested in from the "Wizards" menu and X-Setup Pro will display a Wizard that allows you to change the settings in a step-by-step process.

Beyond and more

Of course, X-Setup Pro is more than the quick overview provided here. Just browse the help to learn more about the advanced features of X-Setup Pro and you will see why X-Setup Pro is called the "mother of all tweakers" and the one-and-only choice of many professional system specialists. It is used by computing enthusiasts, home users, gamers, system administrators, and many people just like you, all over the world.

Handle with care

Like every tweaking utility, X-Setup Pro should be treated with caution - it can tweak many system settings that should only be changed by people who know what they are doing. For more information, see the section [image] Handle with care.

© 2004 · All rights reserved · www.x-setup.net


New features

The major new functions in this version are the following:

Loading user registry

Opens the registry of another local user. X-Setup Pro find all users available and let you select who's registry settings you want to modify. For more information see the [image] Load user registry topic.

Loading computer registry

Opens the registry files of another machine. You can e.g. modify the registry of a crashed machine to repair it. For more information see the [image] Load computer registry topic.

Using X-Setup Pro from PE Builder (Preinstalled Environment)

You now can use X-Setup Pro from PE Builder (BartPE) on a bootable CD-ROM. A feature never seen before in a tweaking utility ! For more information see [image] Preinstalled Environment

To see all detailed changes made within the application since version 6.5 see [image] Version history.

To view the version history of the plugins included see [image] Plugin history.


Plugin History

Since X-Setup Pro will constantly be updated, this dialog will help you find out the difference between the plugins you have currently installed and each old X-Setup version. It is very useful when you have installed a new version of X-Setup Pro and simply want to know what has changed with the new version.

You get the Plugin History by pressing F6 or by clicking on the according item in den [image] Selection menu.

Click on the Extra menu and select Plugin History or press F6 on your keyboard.

To use the Plugin History dialog, first select against which version you would like to compare the current plugins inside X-Setup Pro. Next, select which changes should be displayed by using the check boxes "Show new files", Show updates files and Show deleted files.

Click Start to start the comparing process and X-Setup Pro will display the items inside the Results pane. This pane is divided into two columns:

  • Filename
    This is the name of the plugin file that was changed between the old X-Setup version you have selected and the current plugin you have installed.

  • Status
    The change that has happened with this plugin.

If you are interested in one of the changed plugin, simply click directly in X-Setup Pro to activate it. Please note that nothing will happen if you click on a file with the status Deleted since the file does no longer exist.

Once you are finished, you can click the Close window button to dismiss this dialog, but the results are stored in memory, and will reappear the next time you open the dialog.

If you have hidden any plugins through the Options dialog (for example, system critical plugins or those which are not designed for your OS), you will be told that you cannot open this plugin.


Version history

Changes made within the application since version 6.5

General

  • Updated Development Tool from Delphi 6.0 to Delphi 7.0

  • Changed resulted in 4 MB memory saving when running XSP

  • Since the new DLL does not trigger the SCM of COM which takes some time, XSP start up has been accelerated

Fixes

  • Fixed different color of configuration area when using Windows XP with themes applied in Options dialog

  • Fixed team window to be readable again by replacing component (thanks to CptSiskoX)

Plugins

  • Added "Virtual Paranoia" as new folder in X-Setup Classic. This folder lists all error reporting, GUID sending, hijackers places and other "behind your back" stuff

Setup

  • Old Borland 6.0 VCL and RTL BPL files will be delete on install since XSP now uses the 7.0 version of these files

  • The cache files for plugins and wizards will now be delete on install so XSP is forced to rebuild them on first startup

  • Old dcXSPGlobalSrv.exe will be deleted on install since it's no longer needed from now on

Engine

  • Changed SePrivilegeXXX handling so an error message (localized) is now displayed if aquiring a privilege does not work

  • Changed log file handling - logfile will now only be created or written if there is actually something to log and not on every startup of XSP

  • Layed foundation for support for HKCU Registry Redirection to HKLM

  • Implemented function to redirect HKEY_CURRENT_USER changes to a different user than the logged on ("Load user registry..." in UI)

  • Implemented a window where all users of the current machine can be easily selected instead of always browsing to the NTUSER.DAT file

  • Each time registry loading is activated or deactivated this will be noted to the lofile if logfile level is 2 or higher

  • Updated some of the logfile messages

  • Removed some references to "dotec" inside the text strings

  • Removed Restart/Logoff commands from Options and moved it to plugin object (internal change only, no plugin changes needed)

  • Implemented new read-only options that will tell if the last registry write function was applied to HKCU, HKLM or both

  • Own user account will no longer be shown in "Load user registry file" (thanks to CptSiskoX)

  • If loading of one file for "Load computer registry files" will fail, the other file will be automatically unloaded

Automatic updates

  • Removed HTTPGet and replaced with HTTP component from Indy Project (Version 9.0)

  • Fixed "cut off" status line

  • Added more status messages about the download process that will be written to log file

  • Added HTTP Proxy support

  • Failed to implement the HTTP/407 Proxy Authentication used by some proxys (e.g. Proxy+). No idea what the problem is.

Options

  • Removed current option tab

  • Totally changed XSP options handling from external COM Server (dcXSPGlobalSrv.exe) to internal COM DLL (dcXSPSettings.dll)

  • Changed options are now directly saved to the registry as a change happens

  • Created new registry value "Item Info PoP" to allow inter-application item exchange (PoP=Push Or Pop)

  • Moved favorites from favorites.ini to registry path "Favorites" so installing a new version of XSP will not overwrite your favorites. Thanks to john godfrey for the idea.

  • If no favorites are found, favorites.cfg will be used as a template and the entries will be written to the registry

  • Moved programs from tools.ini to registry path "Tools" so installing a new version of XSP will not overwrite your defined programs

  • If no programs are found, tools.cfg will be used as a template and the entries will be written to the registry

  • For those that are interested, "lwx" means "Last Write indeX"

  • Made several changes to reflect the changes with the new settings options

Compreg

  • Added addtional error messages (localized) when registering a COM DLL does not work

User interface

  • Changed the default cursor inside the tree view to a normal mouse pointer. The cursor will now only change when actually hovering over an item. Thanks to squeeky!

  • Added a new indicator to the status bar which will show to which registry path the last change has been applied. Usr = HKEY_CURRENT_USER, Sys = HKEY_LOCAL_MACHINE

  • If a user or computer registry file is loaded, XSP will now show <XXX file loaded> in its title bar

  • A startup check will be performed if either a user registry or computer registry is still loaded and XSP will try to unload this automatically

  • UI will now display a warning text when it detects that it is running on a BartPE created CD-ROM and urge the user to use the "Load computer/user registry file" commands

  • When BartPE is active, UI will not display the Tip Of The Day window

Start

  • Updated Start.exe to check for XSPSettings object instead of XSPGlobalSrv

  • Added BartPE Enabler in start.exe

  • Start will now automatically start the Classic UI when it detects that BartPE is active

Miscellaneous

  • XSP will now set all windows of itself to x=10/y=10 on the screen if no window position is found in the registry. This will stop the "XSP appears anywhere on screen" problem

  • Finished BartPE Enabler application (dcXSPBPEEnabler.exe). With this application it's possible to allow X-Setup Pro to be used from within BartPE. Finally a bootable CD with full X-Setup Pro support. Thanks to rthsw and Jager-Bomb for the idea!

  • Finished BartPE Support to read now all settings from system.cfg

  • Added registry flag to BartPE plugin: "HKEY_LOCAL_MACHINE\SOFTWARE\Xteq Systems\X-Setup Pro\CurrentVersion\BartPE Active" (REG_SZ)

To have a look at the version history of the plugins included see [image] Plugin history.


Handle with care

X-Setup Pro is an extremely powerful program, which, if used incorrectly, could cause PERMANENT DAMAGE to your computer. PLEASE read X-Setup Pro page carefully before making any changes to your system.

Tips for avoiding problems

  1. Many of X-Setup Pro functionalities are recommended for advanced users only, who know what they are doing. If you feel uncomfortable with single plugins provided, you may simply delete them from the list. Our support team will be happy to explain options to you if you should have questions.

  2. Make sure you have a complete backup of your recent system and personal files, which you might restore if anything should go wrong. Windows 98 and Windows 98ME automatically back up your registry each day - to restore X-Setup Pro go to Start -> Run and type in scanreg/restore (Windows 98 users must restart in MS-DOS mode).

  3. X-Setup Pro records all system changes so it will be easy to retrace all steps. Those changes will be stored in a log file. Simply open the X-Setup Options dialog, click the Log file tab and select Level 2. You will need have to close X-Setup next and then reopen it for the change to take effect. To view the log file, click on the [image] Extra menu in the Default UI, and choose "View Log file...".

If any problem should appear

In case you have any problems with X-Setup Pro or the changes you made with it please see the [image] Support topic inside this X-Setup Pro help for detailed instructions about how to solve a problem.


Licensing

Home user and charity/non-profit organizations

We have developed X-Setup Pro to give you full control over your computer and your programs. Since we think everybody should have full control over these items, X-Setup Pro 6.6 is still freeware for home user and charity / non-profit organizations.

Commercial institutions

Developing software like X-Setup Pro is very expensive we think it is fair to charge commercial institutions for X-Setup Pro to partly cover our expenses. Please visit our [image] Website to see the license fees and how to purchase licenses.


System Requirements

Software Requirements

X-Setup Pro recognizes and supports all 32-bit Windows desktop operating systems including Windows 95, Windows 98, Windows 98 SE, Windows ME, Windows NT 4.0, Windows 2000, Windows XP and Windows 2003 Server.

Hardware Requirements

  • SVGA - minimum of 65K colors (16-bit) recommended

  • Intel Pentium or higher (or compatible)

  • 64 MB free memory

  • 30 MB free disk space


How to use X-Setup

There are different ways to use X-Setup Pro.

  • Advanced users better use the [image] Classic mode.

  • If you are new to X-Setup Pro we recommend to use the [image] Wizard interface.

  • To update your installation use [image] Automatic updates.

Select the corresponding button in the Welcome dialog shown above.

Get more details about the [image] Classic mode and the [image] Wizard interface.

© 2003 · All rights reserved · www.x-setup.net


Classic mode

Using X-Setup in classic mode

The plugin interface in classic mode gives you access to all settings inside X-Setup Pro. X-Setup Pro also provides a very easy mode to use it, the [image] Wizard Interface.

To launch the Classic mode click the Classic button inside the [image] Welcome dialog.

Get detailed information about the menus and the toolbar in the topic [image] Menus and Toolbar.

Plugin tree

The tree contains all the options that you can change in X-Setup Pro, organized into 'folders' (or 'branches'). Here is what each icon means:

Appears at the top of the tree, and can be used to expand or collapse the entire branch.
A folder, which, when clicked on, will expand to reveal more plugins or folders.
The folder has been selected.
 Indicates a normal plugin that hasn't been selected.
This plugin has been selected.
This indicates a system critical plugin.
Appears when the plugin has crashed.

Clicking on a plugin inside this tree opens it and its options will be shown in the Options panel.

Options Panel

In this dialog window, all changeable options will be shown. Since all plugins work variously, the plugins will appear differently as well. Some of them consist of a collection of checkboxes, radio buttons, text boxes, buttons and others will appear as listboxes with checkmarks.

Apply Changes

Apply any changes in each plugin with this button. If there is more than one button, it is necessary to click all the apply buttons to proceed all changes as well. You can't make any changes to your system without clicking on this button or pressing F9 on your keyboard.

Description

This is a description of what the plugin does, and you should always read this description carefully before you make any changes to your system! The description not only describes what the plugin will change, but also any side-effects that may be caused by using the plugin, what operating systems it should be used with and some other useful links.

Status Bar

The Status Bar tells you briefly what X-Setup Pro is doing, for example loading plugins or applying changes.

Change Indicator

When applying changes the change indicator at the bottom of the X-Setup Pro window shows to which registry path the last change has been applied.

Indicated values

Usr = HKEY_CURRENT_USER
Sys = HKEY_LOCAL_MACHINE

Restart Indicator

Some options will not take effect unless you log off and / or restart your computer.. "LOGOFF" indicates you will need have to log off the computer (but not restart it - you can log in again afterwards), and "RESTART" indicates that you must restart the computer.


What are Wizards

X-Setup Pro wizards are basically collections of plugins that are displayed using a wizard window. By using this technology, both plugin developers and users do get the benefit. The user gets an easy-to-use interface and the developer can use his or her existing plugins.

To use the wizards view the topic [image] How to use wizards.

That is why it is so easy to create your own wizard. For example, if you always use the same three plugins but they are located in different places in X-Setup Professional, you could create a wizard and include only these three plugins. This way, you simply start your own wizard and don't have to navigate through the plugins.

To create your own wizards, you will need the X-Setup Pro SDK which can found at [image] www.x-setup.net/sdk.


menu_file

File Menu

Refresh all

Each time you launch X-Setup Pro, the program builds up a list of all plugins in the plugin folder. If you install a new plugin while running X-Setup Pro, it may not appear on screen immediately. Use this function to refresh the list, so all changes that have been made will take effect. You may also press F5 on your keyboard.

Refresh all (no cache)

This is similar to Refresh all, except it may be noticeable slower if you have not installed or modified any plugins since the last refresh. Normally, X-Setup Pro builds a cache, allowing quicker access to the plugins when you use them. The moment you refresh, X-Setup Pro will use the cache and checks if there have been changes. However, this option allows you to overwrite the cache and so X-Setup Pro will need to completely rebuild its plugin list which takes additional time. Generally, you should only use this if you have problems with the basic Refresh All option.

Load user registry

Opens the registry of another local user. X-Setup Pro find all users available and you select who's registry settings you want to modify. For more information see the [image] Load user registry topic.

Load computer registry

Opens the registry files of another machine. You can e.g. modify the registry of a crashed machine to repair it. For more information see the [image] Load computer registry topic.

Safe Mode

This option lets you activate Safe Mode. For more information see the Safe Mode topic.

Record Mode

This option lets you activate Record Mode. For more information see the Record Mode topic.

Options

The Options changes main settings in X-Setup Pro. For more information see the Options dialog topic. You can also display this dialog by pressing F12 on your keyboard.

Exit

Exits the program and returns you to Windows. Note: if you made a change of a plugin that requires a restart of your computer, you will be asked whether you want to shut down or log off when you choose this option.

You can also leave the program by clicking the X in the top-right corner of the X-Setup Pro window, by right-clicking on the Taskbar and choosing Close or by pressing ALT and F4 at the same time on your keyboard.


menu_selection

Selection/Context Menu

The Selection / Context Menu is shown when you right-click on a plugin while being in [image] Classic mode or when you open the Selection menu as shown above.

Expand current key

Right-click on a folder and choose this option to expand the entire branch. Normally, if you just click on a plugin, so the next level will be expanded. Right click on a folder leads you to the expand key which opens the next and all subsequent levels as well.

Collapse current key

This does the opposite of Expand current key. All folders and plugins in all levels are collapsed and hidden with this option. This option only appears when you right-click a key.

Add to Favorites

Adds the currently listed plugin to the Favorites menu, using the name of the plugin as the item name in the Favorites menu. To change the name or edit favorites, please see the Favorites topic.

Information

Opens a dialog with information about this plugin. For more information about this, see the [image] Plugin Information dialog.

Edit...

Opens the currently loaded plugin in your default text editor like Notepad e.g., so you can make changes to it. You can change the editor which X-Setup Pro uses for this action by using the Options dialog; for more information about how to do this, see the Options dialog topic.

Delete

Removes the currently opened plugin from your computer or network. Use this functionality to delete plugins that you will no longer need.

If you want to reinstall a deleted plugin later, first reinstall X-Setup Pro to get all plugins that come with the setup. Then run Automatic updates to get the latest and updated plugins from our server. Notice, if you delete a plugin you got via the Automatic updates, you don't need to reinstall X-Setup Pro. Simply run Automatic Updates again to download the deleted plugin. If you deleted a third party plugin, simply visit the author's website.

Close plugin

Closes the currently opened plugin and removes it from memory.


menu_extra

Extra Menu

Search...

Opens a search window which lets you search for a plugin by using specific keywords, or if you do not remember in which interface you recently did changes. For more information see the Search dialog topic. You can also open this dialog by pressing F3 on your keyboard.

Plugin History

Opens the Plugin History dialog that will help you to find out the difference between the plugins you currently have installed and each old X-Setup Pro version. For more information see the [image] Plugin History dialog topic. You can also open this dialog by pressing F6 on your keyboard.

View Log file...

Lets you view the log file which X-Setup Pro builds up automatically. The log file lists all the changes you have made to your system by using X-Setup Pro, and this log file could be useful if you accidentally changed an option and want to revert it later. For more information about the log file and how to configure, please see the Options dialog topic.

View Statistics...

With this option, you can have a look at some information about your current X-Setup Pro configuration. It lets you know how many plugins and wizards are currently installed, how many plugins/wizards have contact URLs or how many are marked as being System Critical. It's not a vital component of X-Setup Pro, but useful if you want to get this sort of information.

Previous item

Leads you to the plugin above the currently active one in the hierarchy. For example, if you were using 'Visible pages in "Passwords"' in Appearance \ Control Panel \ Other Settings, clicking the "previous item" would take you to 'Visible pages in "Network"'. You can also accomplish this by pressing Ctrl and F8 on your keyboard. Pressing the up arrow on the keyboard will do the same, though the plugin will not be loaded into memory if you do this.

Next item

This option does the opposite of the option above and leads you to the previous item, by moving to the plugin below the active one in the hierarchy. For example, if you were using 'Visible pages in "Passwords"' in Appearance \ Control Panel \ Other Settings, clicking "next item" would take you to 'Visible pages in "Printers"'. You can also accomplish this by pressing F8 on your keyboard. Pressing the down arrow on the keyboard will do the same, though the plugin will not be loaded into memory if you do this.


menu_favorites

Favorites Menu

The Favorites menu gives you quick access to the plugins you are permanently using. A few plugin entries are included to get you started, but you can add and remove other plugins as well. Clicking on an item will take you to that plugin directly.

Manage

Opens the Options dialog, where you can edit, add, or delete items from the Favorites menu (when the dialog has opened, click on the Favorites tab). You can also change the order in which the items appear in the menu, (for example you can place the plugins you do need more often to the beginning of the list). You might also rename the single items.

You can also open the Options dialog by pressing F12 on your keyboard and select the Favorites item.

Add To Favorites

Adds the currently selected plugin to the Favorites List, using the title of the plugin as name on the menu. You can change the name by using the Manage option above.


menu_programs

Programs Menu

This menu contains shortcuts to some of the hidden utilities that are shipped with your Windows installation, such as the Registry Editor, Dr. Watson or the System File Checker. These programs often don't have shortcuts on the Start Menu, and can be quite useful when used correctly. Some default items are provided by X-Setup Pro to get you started. Clicking on one of the items will take you to that plugin.

Warning: Some of these programs (such as the Registry Editor) can cause serious problems with your computer if they are used incorrectly. If you are not sure about using a program, don't use it. XQDC cannot be held responsible if you make a serious mistake while using any of these programs.

Manage

Takes you to the Options dialog, where you can add, delete or edit items on the Program menu. The number of programs available varies depending on which operating system you have. You can also add more programs by using the Programs tab in the Options dialog - for more information this please see the Options dialog topic.

You can also open the Options dialog by pressing F12 on your keyboard and selecting the Programs tab.


menu_help

Help Menu

The Help menu provides access to useful resources around X-Setup Professional.

Help

Opens up this help file at the Welcome page. You can also open this by pressing F1 on your keyboard.

Tip of the day

Displays the Tip of the day dialog which appears by default, when you start X-Setup Pro's plugin or wizard interfaces. You can also use this option to show / hide the Tip of the Day dialog when X-Setup Pro will be launched.

The Tip of the Day displays a new tip every time you open the dialog (or start X-Setup Pro), which tells you about useful and interesting features in the program.

Web site

This option takes you directly to X-Setup web site at [image] www.x-setup.net and find out more about us. You can also download the latest version of X-Setup Pro from this URL.

Web support

If you should have a problem with X-Setup Pro and need to get support, please check out our support page at [image] www.setup.net/support. The link takes you to our online support area at our X-Setup Support Page. Please mention the topic inside this help file.

Team...

Displays the Team window, which is a scrolling credits screen thanking all the people who have helped make X-Setup Pro what it is today.

About...

Displays the About dialog, which has general information about X-Setup Pro and the people who made it.


Toolbar

The toolbar works in the same way as the Back button of your web browser. X-Setup Pro remembers the exact order in which you opened plugins so you can easily get back to every action you took before

Back

The Back button works the same way as the Back button of your web browser. X-Setup Pro remembers the exact order in which you opened plugins, so,you can easily get back to the plugin you've opened before.

Forward

The Forward button is similar to the back button, except it takes you forward instead of backwards.

Expand / Collapse All

This option lets you expand or collapse all the branches in the interface. Expanding all branches opens all the folders, so all plugins will be displayed. Collapsing all branches will hide all plugins and sub-folders as well and only base folders will be displayed. Note: on slow machines where the cache is disabled, expanding all branches may take a long time.

Information

Displays the Plugin Information dialog which contains information about the plugin which is currently loaded into memory. For more information please see the [image] Plugin Information dialog.

Safe Mode

This button activates Safe Mode. For more information please see the Safe Mode topic.

Record Mode

This button activates Record Mode. For more information please see the Record Mode topic.

Search

This function opens the Search dialog. For more information please see the Search dialog topic.

Load user registry

Opens the registry of another local user. X-Setup Pro find all users available and you select who's registry settings you want to modify. For more information see the [image] Load user registry topic.

Load computer registry

Opens the registry files of another machine. You can e.g. modify the registry of a crashed machine to repair it. For more information see the [image] Load computer registry topic.

Help

This opens the X-Setup Pro Help file, which you are viewing right now. Please also check out the Help Menu


What are Plugins

X-Setup Pro plugins are small files that provide the functionality for X-Setup Pro. Plugins do not have an own interface, instead of this, they use the interface of X-Setup Pro to communicate with you. Due to that, they are very small (usually 2 to 4 Kb) and very fast as well. X-Setup Pro itself can't change system settings; all changes are carried out using plugins.

Because they are so small, it is easy to update them or to add new functionality by just adding new plugins.

X-Setup Pro is simply the best "hacker" tweaking/system administration tool ever just by using plugins.

Updating plugins

You can use the [image] Automatic Updates to easily update the list of available plugins. For more information please see [image] Installing plugins, wizards and [image] Automatic Updates.

Developing plugins

If you know how to activate a hidden feature inside the program Super Dub, you can simply create a new plugin by using the free X-Setup SDK (Software Development Kit), copy it to your plugin directory and that's it!

To create your own plugins, you will need the X-Setup SDK which can be found at [image] www.x-setup.net/dev.

Official X-Setup Pro Plugin page

All new plugins that we release will be available through [image] Automatic Updates which is integrated in X-Setup Pro.

If you prefer to download single plugins manually you can get them from the [image] Plugins Page on our website.


Plugin Information Dialog

X-Setup Pro also lets you find out information about each individual plugin. There are many ways to get the Information Dialog:

  1. Select the plugin and then right click on the plugin to open the properties dialog. There you select the [image] Information.

  2. Select the plugin and click on the [image] Info icon of the [image] Toolbar.

  3. Select the plugin and open den [image] Selection menu. There you select [image] Information.

General

Filename

The name of the file which the plugin uses (for example "XQ Show On Desktop 1.xpl") and its path will be displayed.

Name

This is the name of the plugin like it appears in X-Setup Pro (for example "Show On Desktop #1").

Version

This is the version number of the plugin.

Path(s)

This is shows where the plugin appears in the X-Setup UI. Up to 5 different entries can be shown here.

Author

Author

The person or organization who originally created the plugin. Third-party authors will include their name (or nickname) here.

Contact

Since not all plugins are created by Xteq Systems, you should use this link to contact the author of a plugin if you should have direct comments or queries. Just click on the link to get to the author's web site directly.
Note: Some official Xteq Systems plugins do have different URLs here, in that case please always use this link instead of forwarding all queries to Xteq.

Copyright

This item indicates who owns the copyright of the plugin. All Xteq Systems plugins will say Copyright © Xteq Systems - All Rights Reserved, some will be copyrighted to their respective authors, while others may not have any copyright information at all.

OS Version

Operating System Version(s)

Not all plugins will work on all platforms, so you can have a look at this page to see which platforms are supported. When there is a tick by the respective OS, the plugin will work; if there is no tick, the plugin will be disabled. If there are no ticks at all, the plugin will work on all platforms.

Flags

Is System Critical

If there is a tick beside this item, then the plugin will change important system settings and may cause severe problems if not used carefully.

Requires Admin Privileges

This is ticked by default, meaning that only those with Administrative privileges can change an option. However, the code to prevent non-administrators from altering these options has not yet been implemented - at the moment it is just for information purposes only. In other words, if you are not logged in as an administrator, you can still tweak options.

Comments

All additional comments about the plugin will appear here, including extra credits like suggestions or modifications that have been made, or links to related articles on the internet.

Code View

This page shows the code which makes each plugin work, and if you are creating your own plugins, have an interest in Visual Basic programming, or are just curious about how each plugin works, you can have a look here. It shows all the universal constants used by the plugin, plus all of its SUBs: It does not include the header information; to see this please use the [image] Edit function on the Context Menu.


Installing plugins

Unlike most other system tweakers, you can expand X-Setup Pro's arsenal of options without downloading the program all over again. Instead, you can download extra plugins and wizards from the Internet.

Downloading plugins through Automatic updates

A nice feature of X-Setup Pro is the Automatic Updates functionality which allows you to download and install new plugins and wizards without browsing the internet for hours! For more information, see [image] Automatic updates.

Downloading plugins from web sites

Some other plugin developers have created web sites where you can download plugins from and X-Setup Pro provides a nice and easy facility for importing new plugins directly into the program.

If you use Microsoft Internet Explorer, just click on a plugin or wizard on a web page, and X-Setup Pro will download and install it for you automatically. It even refreshes itself so that the plugin or wizard can be used right-away (no need to press F5).

Note: Some authors put their plugins / wizards inside ZIP archives, in that case you will need a program capable of extracting files from these archives. We recommend [image] WinZip (shareware), [image] PowerArchiver (freeware) or [image] EnZip (freeware).

Reinstalling plugins

When you removed plugins from your computer or network you can restore them.

If you want to reinstall a deleted plugin later, first reinstall X-Setup Pro to get all plugins that come with the setup. Then run Automatic updates to get the latest and updated plugins from our server.

Notice, if you delete a plugin you got via the Automatic updates, you don't need to reinstall X-Setup Pro. Simply run Automatic Updates again to download the deleted plugin.

If you deleted a third party plugin, simply visit the author's website.


How to use wizards

To launch the wizard mode click the Wizards button in the Welcome dialog. To close the wizard dialog

Click on Select Wizard in the Wizard dialog to get a list of plugins available. Select the desired plugin and follow the instructions shown in the wizard window.

Close the Wizard dialog by pressing the Close button.


Installing new Wizards

Unlike most other system tweakers, you can expand X-Setup's arsenal of options without having to download the program all over again. Instead, you can download extra plugins and wizards from the Internet.

Downloading wizards through Automatic Updates

A nice feature of X-Setup Pro is it's Automatic Updates functionality which allows you to download and install new plugins and wizards without browsing the internet for hours! For more information please see [image] Automatic updates.

Downloading wizards from web sites

Some other wizard developers have created web sites to download wizards from, and X-Setup Pro has a nice and easy facility for importing new plugins into the program.

If you use Microsoft Internet Explorer you can just click on a wizard on a web page, and X-Setup Pro will start the download automatically. It even refreshes immediately that the plugin or wizard can be used straight-away (there's no need to press F5).

Note: Some authors put their plugins/wizards inside ZIP archives so you will be in need of a program capable of extracting files from these archives. We recommend [image] WinZip (shareware), [image] PowerArchiver (freeware) and [image] EnZip (freeware).


Options

To launch the Options dialog press F12 or select Options in den [image] File menu.

You can configure the following options:

  • Language

  • Security

  • Main folders

  • Backup folders

  • Display fonts

  • Display plug-ins

  • Tree view navigation

  • Log file options

  • Recording

  • Cache files

  • Favorites

  • Programs

  • Miscellaneous

  • Automatic updates

  • Automatic updates view

  • Automatic updates proxy

  • Automatic updates user sites

  • Reset configuration


Language

Will set the application language of X-Setup Pro.

X-Setup Pro has been prepared for the support of multiple languages. For the moment no language packs are available. The native language is English.

Future versions will support German and French.


Security

Safe Mode

If this option is enabled, then X-Setup will ask your permission before any of the plugins or wizards are allowed to make changes to your system. If you do not give your permission, the plugin or wizard will be shut down and disabled until you run it again. For more information about this, see the Safe Mode topic.

Warning Messages

Displays a warning message when activating a system critical plugin

If this option is enabled, X-Setup Pro will warn you before running potentially dangerous plugins and wizards, giving you a choice to proceed with them enabled, or to disable them for maximum safety. Some plugins and wizards should be used carefully to avoid accidental mistakes, unproper values for certain settings, or settings that are known to cause problems on some systems. With these types of plugins and wizards you should take great care when changing options. If you are sure that you have selected a value option and the setting will work properly on your system, you may continue by simply clicking "Yes" when prompted to allow the plugin or wizard to be enabled.


Main folders

Plugin folder and Wizard folder

These two options let you specify where your X-Setup Pro plugins and wizards are kept. By default, these are "C:\Program Files\X-Setup Pro\plugins" and "C:\Program Files\X-Setup Pro\wizards" respectively.

If you change one of these to a folder where there are no plugins or wizards, you won't be able to change anything!


Backup folder

Backup Folder

Some plugins and wizards need to change important system files and some of them will create a backup, which you can restore if anything should go wrong. This option specifies the destination of the Backup Folder. By default, this is "C:\Program Files\X-Setup Pro\backup".

You can define the destination folder for all backup-files, X-Setup Pro will store after a plugin replaces a file of your system in this window. Click on the right button next to the folder window to select the backup folder where the full path will be displayed.


Display fonts

You may configure the fonts for all windows of X-Setup Pro.

Configure Font

This setting lets you change the font used for display text in X-Setup Pro. Click on the button on the right side of the window to get to the selection of all fonts available. If you are using high resolution you may wish to use a larger font, while on lower resolutions a smaller font size may be in order. This setting also lets you specify your own preferred font for use within X-Setup Pro, which can be any font which is installed on your computer. X-Setup Pro's default font is Tahoma with a size of 8. Suggested fonts are Arial, MS Sans Serif (the default Windows font), but some users like to use Lucida Sans.


Display plugins

In this dialog-box, all plugins will be displayed; you might hide system-critical plug ins by tickmarking the appropriate box. When tickmarking the Operating System Version, only those plugins will be displayed that match the current operating system; all other non-usable plugins will be hidden.

Hide System Critical Plugins

As mentioned above in Security, some plugins are system critical. If you don't want to risk of accidentally changing an important setting, you can hide all System Critical plugins just by disabling this option. That way, they won't appear in the X-Setup Pro plugin UI. Note: This option has no effect when using Wizards.

Operation System Version

Display only plugins that are designed for the current Operating System (OS). Some plugins will only work in certain Operating Systems (OSs), for example some will only work in Windows 2000. If you want, you can hide all the plugins which won't work with your OS.

Even if you don't enable this option, most plugins which aren't designed for your current OS will be disabled, so you won't be able to run them anyway.


Tree view navigation

The tree view navigation allowes you to display all available plugins of one level. Get to the next level by clicking on one of the sub-levels.


Logfile Options

Log File Options

There are three levels of log files which X-Setup Pro will keep:

  • Level 0
    disables X-Setup's logging facility, so no logfile is generated.

  • Level 1
    will log the important events to the logfile, but it won't log specific actions.

  • Level 2
    logs all events and all actions you have performed using X-Setup Pro, and creates a more detailed log, which could be useful if you accidently changed an option and want to revert it back but couldn't remember where to find it

    If you ever need technical support, our X-Setup Pro support team may ask that you post your logfile, so we will be able to find out what changes have been made and give you details about how to change it.

You must restart X-Setup Pro for this change to take effect.

Default folder to store logfile

Normally, X-Setup Pro creates its logfile in your Temporary Files folder (usually C:\Program Files\X-Setup Pro\logs), but you can change the default folder here. If you use X-Setup Pro very often, it is a good idea to change it, because if you erase contents of your Temporary Files you will also loose the logfile.


Recording

Define in this dialog box the destination of the folder, all records will be stored in when using the record mode. The default destination will be shown in the Default record file folder but you may define another destination folder by using the button on the right side of the dialog box. Tickmark the confirm starting record mode when you want to be reminded in future that the record mode will be activated now. Unhook the box, when you want to start the mode without warning-message in future.

Confirmation

When this option is enabled, X-Setup Pro will ask for your permission before it commences the recording process. If you disable this option, no warning message is shown, and recording begins immediately. It is recommended that you enable this option to prevent accidental creation of recorded *.REG files. For more information about Record Mode, see the Record Mode topic.

Default record file folder

This allows you to select the folder where the Record Mode *.REG file will be saved by default. If you use Record Mode a lot, then this might be useful if you always save the output *.REG file to the same folder.


Cache files

These checkboxes will allow you to enable or disabled caching of plugins and/or wizards, respectively, in X-Setup Pro. Enabling caching will dramatically increase the speed that X-Setup loads at after its first use. When these options are enabled, X-Setup will automatically generate small cache files in your \Temp folder. To clear the cache, you can simply delete these files; X-Setup will automatically rebuild the cache next time if it is enabled.


Favorites

Add...

Adds a new item to the Favorites menu. When you click on this button a new dialog will open that consist of the following elements:

  • Name
    Type the name of the item as you want it to appear in the Favorites menu.

  • File
    This should point to the plugin, that should be executed when you click on this entry inside the Favorites menu.

  • OK
    This exits the dialog and saves the changes.

  • Cancel
    This exits the dialog, but doesn't save any of the changes you have made.

Edit...

Allows you to modify the entry of the selected Favorite. When you click on this button a new dialog will open that consist of the following elements:

  • Name
    Type the name of the item as you want it to appear in the Favorites menu.

  • File
    This should point to the plugin, that should be executed when you click on this entry inside the Favorites menu.

  • OK
    This exits the dialog and saves the changes.

  • Cancel
    This exits the dialog, but doesn't save any of the changes you have made.

Delete

Deletes the selected item from the Favorites menu.

Move Up / Move Down

Lets you move the Favorites menu items up or down.

Cancel

Closes the Options dialog.


Programs

This option controls which items will appear in the [image] Programs menu in the [image] Classic mode.

Add...

Adds a new item to the Program menu. When you click on this button a new dialog will open that consist of the following elements:

  • Name
    Type the name of the item as you want it to appear in the Programs menu.

  • Execute
    This should point to the program file, which X-Setup Pro will execute when you click on its Program menu entry.

  • Browse
    This lets you use the standard Windows open dialog to select a program to execute when you click on its Program entry. It saves you from having to type the file name out manually.

  • Select OS
    Some programs only appear on certain platforms, for example the Windows Update program only appears in Windows 98, 2000 and Me (Millennium). So this part of the dialog lets you specify which OS (operating system) the program appears in. If you don't tick any boxes, the item will appear on the Programs menu regardless of which OS is being used.

  • OK
    exits the dialog and saves all changes.

  • Cancel
    exits the dialog, but doesn't save any of the changes you have made.

Edit...

Allows you to modify the entry for a selected program.

  • Name
    Type the name of the item as you want it to appear in the Programs menu.

  • Plugin
    Select the desired plugin located in your installation folder (e.g. C:\Program files\X-Setup Pro\plugins) by using the small button on the right side of the field.

  • OK
    This button exits the dialog and saves the changes.

  • Cancel
    The cancel button exits the dialog, but doesn't save any of the changes you have made.

Delete

Deletes the selected item from the Programs menu.

Move Up / Move Down

Lets you move the Programs menu items up or down.


Miscellaneous

Debug Messages

Enabling this option will enable the display of debug messages in X-Setup Pro. These messages are useful for troubleshooting purposes if you have problems with a plugin or wizard for some reason, and are also useful when creating and testing new plugins. Deactivate this option to avoid these debug messages.

Plugin Editor

This option lets you change the program used when you right-click on a plugin and choose Edit from the Context Menu. By default, this is Notepad (notepad.exe) but you can change this if you want.

Reset

This option will reset all of X-Setup Pro's options, except for the Program's settings, back to their default values. This is useful if you wish to return to the default state X-Setup Pro is installed in.


Automatic updates

In this dialog box you decide about the views for all Auto updates.

Basic View

In the Basic View mode X-Setup Pro will hide the detailed list of all available updates. Auto Updates will also install all available new and updated items.

Show Current Items

To get a better overview, by default the field view of all current items will not be tickmarked; set the tickmark for checking purposes (for example).


Automatic updates view

Configure the [image] Automatic updates dialog which items will be visible.

Visible items

Tickmark the according check boxes to control if plugins or wizards should be shown or if they should be ignored.

Auto select items

These settings controls if new or updated items are automatically selected within the [image] Automatic updates dialog.


Automatic updates proxy

Use these settings in case your internet connection is handled through a proxy server.

Proxy Server

In case your internet connection is handled through a proxy server, please activate this option.

Proxy Server Name and Port

Enter the name of your proxy server (e.g. myproxy.my-company.test) and the port (e.g. 8080) here.

User name and password

If your proxy server requires authentication, you might enter the needed username and password here. Please note that this information is stored non-encrypted in your registry. If you leave at least one field empty, you will be asked for these values by Automatic Updates.

For information about applying templates to topics, press F1.


Automatic updates user sites

X-Setup Pro can not only download from the official update web site ; you might also entry the URL of a third party author you trust. Just fill in the field with the website where the XML-files will be provided; you want X-Setup Pro to download Auto Updates from.


Reset configuration

Press the Reset Configuration button to reset all configuration options to default, except for the Favourites and Programs sections since they will not be resetted.


Search Dialog

The Search Dialog allows you to search for plugins just by typing in a few hit-words. This dialog was added because X-Setup Pro includes so many settings and it might be hard for you to find particular settings later on if you only remember their functionality but forgot about where they have been located.

To activate, click on search in the Extra pull-down menu or use F3 on your keyboard. The Search Dialog window will open up and you can now type in the key words you were looking for. After clicking the Start button the progress bar at the bottom of the dialog will show you the status of the search. After finishing the search, all matching results will be shown in the Results Pane which is divided into three columns:

  • Filename
    Shows the name of the plugin file in which X-Setup Pro found a match to the text string you supplied.
    For example, if you searched for "panel", the plugin called 'XQ Control Panel Hide 1.xpl' is displayed as result.

  • Block
    This refers to the part of the header where the text was found, and this can be one of the following:

    • "DESCRIPTION x" - text was found in part of the plugin description.

    • "TEXT x" - text was found in the names of one of the options.

    • "COMMENT x" - text was found in the Comments tab of the [image] Plugin Information dialog.

    • "NAME" - text was found in the name of the plugin.

There are other Block names which you may see, such as FILE, UIPATH, AUTHOR and COPYRIGHT (amongst others), but the four mentioned above are the main types that are most likely to be seen.
Note: If the string you typed in appears more than once in the plugin, only the first instance will appear in the dialog. Although the order in which header items will appear in the plugins do vary, generally NAME comes first, followed by TEXT, DESCRIPTION and then COMMENT, so statistically you are more likely to see matches from the NAME block. Another Note: When x has been used above, this will be replaced by a positive integer in the dialog. It refers to the item or paragraph the text was found (for example the fourth paragraph of DESCRIPTION would appear as "DESCRIPTION 4").

  • Found
    This shows part of the sentence where X-Setup Pro found the string you searched for.

To open one of the plugins in the results, all you need to do is to click on its entry in the Search dialog, and X-Setup Pro will open it for you. If you want to try another plugin from the list of results, press F3 to re-open the Search window, where you can click on another plugin.

If you have hidden any plugins through the [image] Options dialog (for example, system critical plugins or those which are not designed for your OS), you cannot open this plugin.

To close the Search dialog, use the close window button or click on the close icon (x) on the right top or press the ESC key. The last search results are stored in memory, and will appear next time you open the dialog.

To clear all results click the button Clear Results.


Record Mode

One feature of X-Setup Pro that Network Administrators may find useful is the so called Record Mode. If this mode is activated, X-Setup Pro will record most of the system changes you make to a REG file. This file can then be transferred to a different machine and added to the registry by simply double-clicking this file, a great time-saver if you want to make the same changes to several machines.

How it works

If you apply the changes of a plugin by clicking on the "Apply changes", all changes the plugin makes are monitored and saved to an internal buffer. For example, if you start the "Super ACME Plugin", activate "Fast Gate A20 Option" and click apply, the plugin writes "FastGate=1" to the registry. Because Record Mode is currently activated, X-Setup Pro will write "FastGate=1" to its internal buffer.

As soon as you stop recording, X-Setup Pro (by de-activating record mode), will generate a Save As dialog, where you can specify a filename and destination folder. Note: X-Setup Pro will generate the file with the extension *.TXT because you should read the contents of the file before using it. After renaming it to *.REG it is ready to use.

Benefits

Record Mode can save you a lot of time. For example, if you want to make changes on several machines, instead of installing X-Setup Pro on every machine and then applying the changes, you can create a single *.REG file and merge it into the registries on all machines. That way, you save a lot of time and you can be sure that all machines have been changed in the same way.

Drawbacks

Although this is a real powerful feature, it has some drawbacks:

  • Only Registry changes, additions and deletions can be recorded. All other changes (INI file writing, file changes etc.) are not supported. To inform you about this, X-Setup Pro will inform you at the beginning of the file if any unsupported function was invoked, which function was invoked and what has been changed is noted later in the file.

  • If a X-Setup Pro plugin error occurs, the REG file might be damaged. To be absolutely sure that your REG file will not get damaged, cancel the recording as soon as an error is displayed. If you have some experience with REG files, you can ignore the error and remove the invalid command later by hand.

  • X-Setup Pro will write every change to the file, regardless if the command is already in the REG file or not. For example if you press "Apply changes" twice in a plugin, all commands will be doubled in the REG file. Although this will not lead to an error, please keep this in mind.

Enabling Record Mode

To enable Record Mode, open up the default user interface ( [image] Classic mode) from the X-Setup Pro welcome screen. Then open the File menu and choose 'Record Mode'. Alternatively, you can click the Record Mode button on the Toolbar. Once Record Mode is enabled, the Record Mode icon on the Toolbar will appear depressed.

When you want to finish recording, repeat the steps mentioned above. Note that Record Mode also works in Wizard mode as well, but you can only enable or disable it in the Classic mode.

Applying the REG file

To apply the generated REG file to a machine, do the following:

  • rename the file from .REG.TXT to .REG (be sure to have a look at the file first!)

  • copy the file to a location where the target computer(s) can access it, or onto a floppy disk (or similar)

  • either simply double-click the file or execute the command:

    regedit /S <file>
    e.g.
    regedit /S y:\soft\mysett.REG

    Because Regedit has some problems with long filenames (LFN), you should keep the name of your REG file in 8+3 form.

Note: Normally using this regedit /S command will work but it may fail if you want to change a system setting from a user account that hasn't got "Administrator" privileges on Windows 2000 or NT 4.0.

A system setting is anything in the HKEY_LOCAL_MACHINE or HKEY_CLASSES_ROOT hives in the Registry. If you system is "locked down", then this means that the current user has no rights to modify any values in these hives, and executing REGEDIT.exe will display an error message, such as "Not all values could be imported".

To solve this you can use the runas command in Windows 2000. For example:

runas /user:Administrator "regedit.exe /S c:\test.reg"

This will then ask you for an admin password, and then switch the context to ADMINISTRATOR and execute the command. As the user ADMINISTRATOR has all privileges, the command will succeed.

Please note that if you use this command to import a file that makes changes below HKEY_CURRENT_USER, it will affect the ADMINISTRATOR account, not the current user, since RUNAS performs a context switch.

More information about RUNAS in Windows 2000 can be found in the Microsoft Knowledge base at [image] support.microsoft.com/support/kb/articles/Q225/0/35.ASP.

As NT 4.0 has no RUNAS command, you will need to install a program that is able to perform a context switch. One example is "SU" from the Microsoft Windows NT 4.0 Resource Kit or "NTSU" (Freeware, search for it using [image] Google.com). Please see the documentation of these tools how to execute a command as ADMINISTRATOR.

Changing Record Mode options

You can also change the default output folder for files you have created using Record Mode by using the Options dialog. For more information please see the Options dialog topic.


Safe Mode

Because you may install a plugin from a third-party author that you don't trust, you can activate X-Setup Pro's "Safe Mode". If this mode is activated, X-Setup Pro will ask you before the plugin will change anything on your system. These security measures apply to X-Setup Pro Wizards as well, since wizards are based on plugin technology.

What happens when I activate Safe Mode?

If a plugin tries to change anything on your computer (for example, write a registry value, change an INI value, delete a file etc.), a message appears displaying what the plugin tries to do and if the plugin should be allowed to perform this action. If you select "No" in this dialog, the plugin is not allowed to perform the action and will be shut down. No changes are made to your system in this case.

How do I activate Safe Mode?

In Classic Mode

You can either click on the [image] Safe Mode icon on the [image] Toolbar (symbolized by a padlock), or click on the [image] File Menu and choose 'Safe Mode'. You can always check to see if Safe Mode is activated, since the padlock icon on the toolbar and on the File menu is 'depressed'. To disable Safe Mode, just click on the padlock again.

In Wizard Mode

Click on the 'Config...' button at any time while using the Wizard. Then, on the 'Security' tab, put a tick besides the 'Activate Safe Mode' option. Then click 'OK'.

Even if Safe Mode is not activated, X-Setup Pro performs several security checks:

  • Changes will only be allowed when the "Apply Changes" button is pressed - if any plugin tries to make changes somewhere else it will be shut down automatically.

  • If a command a plugin performs fails (for example it tries to copy the file LOGO.SYS and this file does not exist) it will also be shut down

  • The plugin is only allowed to execute within 30 seconds. If any action takes longer than this, the plugin will be shut down

  • Other security checks will perform when a command inside the plugin is invoked. For example, if the plugin tries to remove a path from the registry and this path contains sub-values, the plugin will also be shut down. Plugins, which try to change X-Setup Pro's settings will be shut down as well.


Tip of the day

By default X-Setup Pro displays a new tip every time you launch X-Setup Pro in [image] Classic mode or [image] Wizard mode. The tips tells you about useful features in the program.

You can browse the tips by using the buttons Previous Tip and Next Tip.

To show or hide the Tip of the Day dialog each time X-Setup Pro starts select the check box Show tips at startup.

To open the Tip of the Day manually select the appropriate entry in the [image] Help menu.

Close the tip dialog by pressing the close button or ESC key.


Registry loading

With X-Setup Pro you can easily load the registry setting from another local user on your machine or even the registry files from another machine.

In the File menu you find two options to load a registry:

Load user registry

Opens the registry of another local user. X-Setup Pro find all users available and you select who's registry settings you want to modify. For more information see the [image] Load user registry topic.

Load computer registry

Opens the registry files of another machine. For example you can modify the registry of a crashed machine to repair it. For more information see the [image] Load computer registry topic.

Both variants can also be reached via the [image] Toolbar where you find the same icons as shown above. Note, that they can be activated at the same time, so you can apply changes to the registry of another user on another machine.

Read more about registry loading in preinstalled environments in the [image] Preinstalled Environment topic.


Load user registry

Opens the registry of another local user. X-Setup Pro find all users available and you select whose registry settings you want to modify.

Loading

Start this function by clicking on Load user registry in the [image] File menu or on the [image] icon in the [image] Toolbar.

X-Setup Pro will find and displays all other user profiles on your local machine. Select the one you want to load and press OK. Any change that is made to HKEY_CURRENT_USER is then applied to the selected user and not to your account.

Please make sure that you have all access rights (read/write) for the NTUser.DAT and that it is not in use by Windows itself.

SID

SID is a data structure of variable length that identifies user, group and computer accounts. Every account on a network is issued a unique SID when the account is first created. Internal processes in Windows refer to an account's SID rather than the account's user or group name.

Filename

The filename shows the path to file where the users profile is saved.

Applying changes

When applying changes to the selected user the change indicator at the bottom of the X-Setup Pro window shows to which registry path the last change has been applied:

Indicated values

Usr = HKEY_CURRENT_USER
Sys = HKEY_LOCAL_MACHINE

While you are working on the registry settings of the selected user the [image] icon in the [image] Toolbar appears pressed. To abandon the current settings and return to yours you simply click on the same icon. The icon will then appear released.

The functions Load user registry and Load computer registry can be combined. Note, that they can be activated at the same time, so you can apply changes to the registry of another user on another machine.

Read more about registry loading in preinstalled environments in the [image] Preinstalled Environment topic.


Load computer registry

Opens the registry files of another machine. For example you can modify the registry of a crashed machine to repair it.

Loading

Start this function by clicking on Load computer registry in the [image] File menu or on the [image] icon in the [image] Toolbar.

Please make sure that you have all access rights (read/write) for the NTUser.DAT and that it is not in use by Windows itself.

Applying changes

When applying changes to the selected user the change indicator at the bottom of the X-Setup Pro window shows to which registry path the last change has been applied:

Indicated values

Usr = HKEY_CURRENT_USER
Sys = HKEY_LOCAL_MACHINE

Any change applied to the registry path HKEY_LOCAL_MACHINE will be applied to the loaded files and not to your registry.

While you are working on the loaded registry files the [image] icon in the [image] Toolbar appears pressed. To abandon the registry files and return to the local registry you simply click on the same icon. The icon will then be appear released.

The functions Load user registry and Load computer registry can be combined. Note, that they can be activated at the same time, so you can apply changes to the registry of another user on another machine.

Read more about registry loading in preinstalled environments in the [image] Preinstalled Environment topic.


Shortcuts

This is a list of key combinations you can use to access common functions, without using the mouse.

X-Setup Pro Help

Opens the Search dialog.

Refreshes X-Setup's cache.

Opens the Plugin History

Moves to the next plugin on the tree and activates it.

Moves to the previous plugin in the tree and activates it.

Applies changes made in a plugin (or moves to the next page in Wizard mode).

Opens the Options dialog.

You can also use ALT keys on the menus like you would do in any Windows application, and when editing text the normal key combinations also apply, such as Ctrl + Z for Undo, Ctrl + X for Cut, Ctrl + C for Copy, Ctrl + V for Paste and Ctrl + A for Select All.

Note: Ctrl + Z only 'undoes' what you have typed; it does not reverse any changes you make to your system!


BartPE (PE Builder)

You now can use X-Setup Pro from PE Builder (BartPE) on a bootable CD-ROM. Because X-Setup Pro can not edit the BartPE registry on the CD-ROM you must use the functions for loading an external registry. They allows you to open either a user registry file or a system registry file from the computer facing the problem. Using this load procedure, you can easily access the computer registry and a user registry file from the main system (not the BartPE registry) and change items as it would have started up normally. Simply execute [image] Load computer registry or [image] Load computer registry from the [image] File menu.

What is PE Builder and BartPE?

Bart's PE Builder helps you build a "BartPE" (Bart Preinstalled Environment) bootable Windows CD-Rom or DVD from the original Windows XP or Windows Server 2003 installation/setup CD, very suitable for PC maintenance tasks.

It will give you a complete Win32 environment with network support, a graphical user interface (800x600) and FAT/NTFS/CDFS filesystem support. Very handy for burn-in testing systems with no OS, rescuing files to a network share, virus scan and so on. This will replace any DOS bootdisk in no time!

More information about creating a preinstalled environment (PE) see [image] www.nu2.nu

How to use X-Setup Pro from PE Builder?

Start X-Setup Pro. In the [image] Welcome dialog click the button BartPE Enabler.

PE Builder (BartPE) Base Path

Enter the base path of your BartPE (PE Builder) installation. BartPE will add a link to the directory where X-Setup Pro is currently installed.

You only need to run the BartPE Enabler application once, each time you run PE Builder the current files from your X-Setup Pro folder will be used automatically. This means, each time you create a new bootable ISO image using PE Builder, PE Builder will retrieve all files it needs for X-Setup Pro directly from your X-Setup Pro folder. Any updates or patches that have been applied to X-Setup Pro will be automatically included in the bootable ISO Image because of this linking.

There is no need to manually copy any files when you have performed an update of X-Setup Pro, this will simply happen automatically.

When executed, PE Builder will automatically retrieve all needed files from your X-Setup Pro application folder. This means, each time you create a new bootable ISO image using PE Builder, PE Builder will retrieve all files it needs for X-Setup Pro directly from your X-Setup Pro folder. Any updates or patches that have been applied to X-Setup Pro will be automatically included in the bootable ISO Image because of this linking.

There is no needing to manually copy any files when you have performed an update of X-Setup Pro, this will simply happen automatically.


Updates

Getting the latest version of X-Setup Pro

We constantly provide new releases of X-Setup Pro since we permanently include new features.
Please make sure you have the latest version of X-Setup Pro by visiting [image] www.x-setup.net.

During the installation of X-Setup Pro the installation wizard can check if a newer version is already available. Every time the wizard finds a newer version of X-Setup Pro, please just follow the wizard's instructions.

Updating plugins or wizards

Use the integrated function for Automatic updates to get the latest plugins and wizards.
For more information, see [image] Installing new plugins and [image] Installing new Wizards and [image] Automatic updates.

© 2003 · All rights reserved · www.x-setup.net


What are Automatic Updates

Automatic Updates

What are Automatic Updates?

Automatic Update is an application that allows you to update your plugins and wizards from different internet sites. Normally, you will get your updates from the [image] X-Setup Pro plugins page but third party developers like [image] http://members.aol.com/ojatex/plugins/plugins.htm can also be configured as the source for the updates.

A properly configured Internet Explorer and an online connection is required for automatic updating.


How to use Automatic Updates

Automatic Updates

How to use Automatic Updates?

Launching Automatic Updates

First, please make sure you are connected to the internet, and ensure that no other X-Setup Pro program is running. To launch the Automatic Updates, click the appropriate button inside the [image] Welcome dialog. Then an update dialog will open like this

X-Setup Pro connect to our database and checks if there are new or updated plugins or wizards available.

If plugins or wizards are available you either start the update process by clicking on the appropriate button to download all plugins or wizards. Or you switch to the Advanced View to select the items listed as shown in the following screen.

The list of plugins or wizards shows which ones were updated or new items. X-Setup Pro compares existing plugins of your X-Setup Pro installation with our database.

All updated or new plugins were automatically selected. Only selected items will be downloaded and installed in the local plugin or wizard folder. After the update process the selected items will not more be selected. You can refresh the list by selecting Check for New/Updated Items in the File menu

When you delete a plugin you once downloaded with the Automatic updates the plugin will be selected again next time you run Automatic updates.

To configure the settings of the Automatic updates see the [image] Options topic. There you find topics like [image] Automatic Updates, [image] Automatic Updates View and [image] Automatic updates user sites.

© 2003 · All rights reserved · www.x-setup.net


Support

Although we have tried our best to make X-Setup Professional as error-free as possible, there will be constellations where X-Setup Pro does not work as expected or using it will result in "strange" effects. Therefore we provide these topics to help you.

If you do not have a problem, but would like to know what you can do to avoid any problems with X-Setup Pro, see the topic [image] Handle with care.

Important: XQDC can not provide email support for X-Setup Pro. Please do not sent support issues via e-mail. Post them in the [image] X-Setup Pro forum, where our support team will handle your requests.

What to do when you have a problem with X-Setup Pro?

First of all, keep cool and don't panic!

Uninstalling X-Setup Pro, although a common reaction, won't help. This action does not roll back any changes you made, so it won't solve your problem. Plus, the most problems user encounter when using X-Setup Pro are side-effects of settings they have changed. Therefore, you will need X-Setup Pro to revert the changes and resolve the problem.

Read README.TXT located inside the folder where you installed X-Setup Pro. This file maybe contains late-breaking information that aren't included in this help file and might already document a solution for your problem.

Visit the [image] X-Setup Pro forum which is a peer-2-peer help forum for users of X-Setup Pro. This forum is moderated by [image] XQDC.

Read the threads of Frequently Asked Questions (FAQ) in the [image] X-Setup Pro forum,

Visit the [image] X-Setup Pro support page for general support tips.


X-Setup Support Page

The X-Setup Pro support page is our main page for anything about support. It provides general tips and other resources that can help to solve the problem you might encounter.

Visit the X-Setup Pro support page at [image] www.x-setup.net/support

© 2003 · All rights reserved · www.x-setup.net


X-Setup Forum

The X-Setup Forum is a public message board, created to allow a direct communication between developers and users of X-Setup Pro.

You can search for previous posts or problems, read some information about X-Setup Pro, submit a feature wish or simply talk with other people about X-Setup Pro or general tweaking.

Plus, if you were unable to find a solution for a problem you might encounter, you can also post this problem there and we'll try to solve it as soon as possible. Please be patient - we try to respond within 48 hours but this isn't always possible, and we cannot guarantee the availability of the service.

Visit the forum at [image] www.x-setup.net/forum


X-Setup Resources

X-Setup Pro website

Get the latest version of the ultimate Windows tweaking and system administration utility.

X-Setup Pro forum

Discuss problems, new plug-ins, workarounds and get useful tips about tweaking.

X-Setup support page

Check the X-Setup Pro Support Section if you are having trouble.

X-Setup Pro plug-in page

All new and updated plug-ins we release are posted here. Please note that if you simply want to update your plug-ins, you can use [image] Automatic updates integrated in X-Setup Pro.

X-Setup Pro SDK

With this free tool, you can create your own plug-ins and wizards for X-Setup Pro. You can upload your plug-ins on our website to share them with others users of X-Setup Pro. You can also post them online or send them to your friends if they have X-Setup Pro.

Third party X-Setup plug-in page

Please note that if you simply want to update your plug-ins, you can use [image] Automatic updates integrated in X-Setup Pro.

More useful resources

Xteq Systems

Visit the home of Xteq Systems, makers of X-Setup.

AXCEL216's Tips & Tricks

The ultimate collection of useful tips, hidden tricks and much more for the system specialist to enjoy and learn. Many of X-Setup's settings have come from this site. Maintained by AXCEL216

Ojatex's Tips and Tricks

A good collection of tips for laptop users of Windows in an easy-to-understand and straightforward approach. Maintained by Ojatex

Neil's World

Weblog of the daily life of one of the Xteq team. Often includes X-Setup information. Maintained by Neil R. Turner

Lockergnome.com

The ultimate newsletter fully packed with useful information, tips, programs and much more

Windows Registry Guide

Easy to use guide to registry tweaking.

Microsoft Technical Support

Microsoft's online resource center for problems with Windows, Internet Explorer, and other products made by Microsoft. A good resource to search if you are having problems.